CREATE TABLE IF NOT EXISTS #__tpjobs_apply_job (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL DEFAULT 0 ,
  `id_job` int(11) NOT NULL DEFAULT 0 ,
  `apply` char(1) NOT NULL DEFAULT 'y' ,
   PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_billing (
  `id` int(11) NOT NULL auto_increment,
  `employer_id` int(11) NOT NULL DEFAULT 0 ,
  `credit` int(11) NOT NULL DEFAULT 0 ,
  `date_buy` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  `amount` float ,
  `approval` char(1) NOT NULL DEFAULT 'n' ,
  `approval_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  `mode_pay` char(1) NOT NULL DEFAULT 'm' ,
  `address` varchar(255) ,
  `address_cont` varchar(255) ,
  `city` varchar(100) ,
  `state` varchar(100) ,
  `zip` varchar(50) ,
  `id_country` int(11) ,
  `phone` varchar(50) ,
  `id_trans` int(11) NOT NULL DEFAULT 0 ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_comp_type (
  `id` int(11) NOT NULL auto_increment,
  `comp_type` varchar(50) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_country (
  `id` int(11) NOT NULL auto_increment,
  `country` varchar(50) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_degree_level (
  `id` int(11) NOT NULL auto_increment,
  `degree_level` varchar(75) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_employer (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL DEFAULT 0 ,
  `firstname` varchar(100) NOT NULL DEFAULT '' ,
  `lastname` varchar(100) NOT NULL DEFAULT '' ,
  `id_salutation` int(11) NOT NULL DEFAULT 0 ,
  `other_title` varchar(100) NOT NULL DEFAULT '' ,
  `comp_name` varchar(100) NOT NULL DEFAULT '' ,
  `primary_phone` varchar(50) NOT NULL DEFAULT '' ,
  `fax_number` varchar(50) NOT NULL DEFAULT '' ,
  `street_addr` varchar(100) NOT NULL DEFAULT '' ,
  `id_country` int(11) NOT NULL DEFAULT 0 ,
  `state` varchar(50) NOT NULL DEFAULT '' ,
  `city` varchar(50) NOT NULL DEFAULT '' ,
  `zip` varchar(30) NOT NULL DEFAULT '' ,
  `id_comp_type` int(11) NOT NULL DEFAULT 0 ,
  `id_industry` int(11) ,
  `show_name` char(1) NOT NULL DEFAULT 'y' ,
  `show_location` char(1) NOT NULL DEFAULT 'y' ,
  `show_phone` char(1) NOT NULL DEFAULT 'y' ,
  `show_email` char(1) NOT NULL DEFAULT 'y' ,
  `show_addr` char(1) NOT NULL DEFAULT 'y' ,
  `show_fax`  char(1) NOT NULL DEFAULT 'y' ,
  `bill_addr` varchar(255) ,
  `bill_addr_cont` varchar(255) ,
  `bill_id_country` int(11) ,
  `bill_state` varchar(50) ,
  `bill_city` varchar(100) ,
  `bill_zip` varchar(25) ,
  `bill_phone` varchar(50) ,
  PRIMARY KEY (`id`),
  UNIQUE KEY user_index (`user_id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_industry (
  `id` int(11) NOT NULL auto_increment,
  `industry` varchar(100) ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_job (
  `id` int(11) NOT NULL auto_increment,
  `job_title` varchar(100) NOT NULL DEFAULT '' ,
  `employer_id` int(11) ,
  `id_degree_level` int(11) NOT NULL DEFAULT 0,
  `id_pos_type` int(11) NOT NULL DEFAULT 0 ,
  `id_salary_type` int(11) NOT NULL DEFAULT 0 ,
  `id_job_exp` int(11) NOT NULL DEFAULT 0 ,
  `id_job_spec` int(11) NOT NULL DEFAULT 0 ,
  `salary` float ,
  `currency_salary` char(10) ,
  `id_country` int(11) NOT NULL DEFAULT 0 ,
  `state` varchar(100) NOT NULL DEFAULT '' ,
  `city` varchar(100) NOT NULL DEFAULT '' ,
  `short_desc` tinytext ,
  `long_desc` mediumtext ,
  `publish_date` datetime DEFAULT '0000-00-00 00:00:00' ,
  `expire_date` datetime DEFAULT '0000-00-00 00:00:00' ,
  `is_active` char(1) NOT NULL DEFAULT 'y' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_job_exp (
  `id` int(11) NOT NULL auto_increment,
  `exp_name` varchar(50) NOT NULL DEFAULT '' , 
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_job_spec (
  `id` int(11) NOT NULL auto_increment,
  `specialization` varchar(255) NOT NULL DEFAULT '' ,
  `id_category` int(11) NOT NULL DEFAULT 0 ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_jobseeker (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL DEFAULT 0 ,
  `current_position` varchar(255) NOT NULL DEFAULT '' ,
  `id_major` int(11) NOT NULL DEFAULT 0 ,
  `id_degree_level` int(11) NOT NULL DEFAULT 0 ,
  `id_industry1` int(11) NOT NULL DEFAULT 0 ,
  `id_industry2` int(11) NOT NULL DEFAULT 0 ,
  `id_pos_type` int(11) NOT NULL DEFAULT 0 ,
  `min_salary` float NOT NULL DEFAULT 0 ,
  `currency_salary` char(10) ,
  `id_type_salary` int(11) NOT NULL DEFAULT 0 ,
  `id_job_exp` int(11) NOT NULL DEFAULT 0 ,
  PRIMARY KEY (`id`),
  UNIQUE KEY seeker_idx (`user_id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_major (
  `id` int(11) NOT NULL auto_increment,
  `major` varchar(75) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_packet (
  `id` int(11) NOT NULL auto_increment,
  `packet` varchar(50) NOT NULL DEFAULT '' ,
  `amount_job` int(11) NOT NULL DEFAULT 0 ,
  `amount_day` int(11) NOT NULL DEFAULT 0 ,
  `credit` int(11) NOT NULL DEFAULT 0 ,
  `is_active` char(1) NOT NULL DEFAULT 'y' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_packet_buy (
  `id` int(11) NOT NULL auto_increment,
  `id_packet` int(11) NOT NULL DEFAULT 0 ,
  `packet` varchar(255) NOT NULL DEFAULT '' ,
  `amount_day` int(11) DEFAULT 0 ,
  `amount_job` int(11) NOT NULL DEFAULT 0 ,
  `credit` int(11) ,
  `id_trans` int(11) ,
  `employer_id` int(11) NOT NULL DEFAULT 0 ,
  `date_buy` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  PRIMARY KEY (`id`),
  UNIQUE KEY idbuytrans (`id_trans`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_packet_use (
  `id` int(11) NOT NULL auto_increment,
  `id_trans` int(11) NOT NULL DEFAULT 0 ,
  `employer_id` int(11) NOT NULL DEFAULT '0' ,
  `id_packet` int(11) NOT NULL DEFAULT 0 ,
  `id_job` int(11) NOT NULL DEFAULT 0 ,
 `expires` int(11) NOT NULL DEFAULT 0 ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_payment (
  `id` int(11) NOT NULL auto_increment,
  `payment` varchar(40) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_pos_type (
  `id` int(11) NOT NULL auto_increment,
  `pos_type` varchar(50) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_resume (
  `id` int(11) NOT NULL auto_increment,
  `jseeker_id` int(11) NOT NULL DEFAULT 0 ,
  `name_resume` varchar(50) NOT NULL DEFAULT '' ,
  `description` varchar(255) NOT NULL DEFAULT '' ,
  `type` char(1) NOT NULL DEFAULT 'c' ,
  `file_resume` varchar(255) NOT NULL DEFAULT '' ,
  `resume` text NOT NULL DEFAULT '' ,
  `is_active` char(1) ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_salutation (
  `id` int(11) NOT NULL auto_increment,
  `salutation` char(10) ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_save_job (
  `id` int(11) NOT NULL auto_increment,
  `id_job` int(11) NOT NULL DEFAULT 0 ,
  `jseeker_id` int(11) NOT NULL DEFAULT 0 ,
  `is_apply` char(1) NOT NULL DEFAULT 'n' ,
  `is_view` char(1) NOT NULL DEFAULT 'y' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_transaction (
  `id` int(11) NOT NULL auto_increment,
  `date_trans` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  `transaction` varchar(255) NOT NULL DEFAULT '' ,
  `credit_plus` int(11) NOT NULL DEFAULT 0 ,
  `credit_minus` int(11) NOT NULL DEFAULT 0 ,
  `employer_id` int(11) NOT NULL DEFAULT 0 ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS #__tpjobs_type_salary (
  `id` int(11) NOT NULL auto_increment,
  `type_salary` varchar(50) NOT NULL DEFAULT '' ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS jos_tpjobs_job_categ (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(80) ,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__tpjobs_text` (
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`name`)
);